--- old/usr/src/uts/common/os/damap.c	2016-02-15 12:56:14.179197506 -0500
+++ new/usr/src/uts/common/os/damap.c	2016-02-15 12:56:14.183154677 -0500
@@ -1110,12 +1110,10 @@
 	mutex_enter(&mapp->dam_lock);
 	bitset_del(&mapp->dam_active_set, addrid);
 	passp->da_ppriv = NULL;
-	if (passp->da_nvl)
-		nvlist_free(passp->da_nvl);
+	nvlist_free(passp->da_nvl);
 	passp->da_nvl = NULL;
 	passp->da_ppriv_rpt = NULL;
-	if (passp->da_nvl_rpt)
-		nvlist_free(passp->da_nvl_rpt);
+	nvlist_free(passp->da_nvl_rpt);
 	passp->da_nvl_rpt = NULL;
 
 	DTRACE_PROBE3(damap__addr__deactivate__end,
@@ -1658,8 +1656,7 @@
 		mutex_enter(&mapp->dam_lock);
 	}
 	passp->da_ppriv_rpt = NULL;
-	if (passp->da_nvl_rpt)
-		nvlist_free(passp->da_nvl_rpt);
+	nvlist_free(passp->da_nvl_rpt);
 }
 
 /*
